公司與事件
結構化事件
提供經過整理與標準化的公司事件資料,適合用於事件驅動研究、篩選條件建構與自動化流程。
GET
/v2/datasets/structured-eventsOverview#
結構化事件 API 提供已整理為可分析欄位的事件資料,適合用於研究、監控系統與事件驅動 workflow。
相較於原始公告資訊,這一頁更強調:
- 事件欄位已被結構化整理
- 更適合直接做篩選、分類與統計
- 便於與價格、財報、月營收等資料整合
- 依事件類型篩選公司事件
- 建立事件驅動研究流程
- 將事件作為回測或監控條件
- 與價格反應或基本面變化進行對照
- 作為 agent workflow 中的結構化事件層
- 如果公告資訊偏向原始文本入口,結構化事件則更適合直接作為分析資料使用。
Request#
使用此 endpoint 時,建議:
Query Parameters#
| 欄位 | 型別 | Required | 說明 |
|---|---|---|---|
| ticker | string | yes | 股票代碼,用於查詢單一公司的結構化事件資料。 |
| start_date | string | no | 查詢起始日期。 |
| end_date | string | no | 查詢結束日期。 |
| event_type | string | no | 事件類型(若目前 schema 有正式支持)。 |
| limit | integer | no | 回傳筆數限制。 |
| offset | integer | no | 分頁偏移。 |
Response Shape#
所有回應遵循一致結構,包含 dataset、source_role、freshness、lineage、data。
{
"dataset": "events",
"source_role": "canonical",
"freshness": "2026-04-22T10:45:00+08:00",
"lineage": {
"source": "TWSE",
"ingested_at": "2026-04-22T10:45:05+08:00",
"trace_id": "structured_events_2330_20260422"
},
"data": [
{
"ticker": "2330",
"event_date": "2026-04-18",
"event_type": "financial_report",
"title": "董事會通過第一季財務報告",
"summary": "董事會決議通過 2026 年第一季財務報告。"
}
]
}Field 說明#
| 欄位路徑 | 型別 | 說明 |
|---|---|---|
| data[].ticker | string | 股票代碼。 |
| data[].event_date | string | 事件日期。 |
| data[].event_type | string | 結構化後的事件類型。 |
| data[].title | string | 事件標題。 |
| data[].summary | string|null | 事件摘要(若目前 schema 有)。 |
| data[].importance | string|null | 事件重要性或事件層級(若目前 schema 有正式對外欄位)。 |
| data[].source_url | string|null | 原始來源連結(若目前 schema 有)。 |
| source_role | string | 資料來源角色。 |
| freshness | string | 資料更新時間。 |
| lineage.trace_id | string | 可追蹤資料處理鏈路。 |
Usage Notes / 使用建議#
- 使用 ticker + event_date + event_type 作為主要識別組合。
- 若要做事件驅動研究,應保留事件時間與事件類型。
- 若資料將用於回測,建議先落地並保留 freshness / lineage。
- 若同時需要原始文本細節,應搭配公告資訊頁面一起使用。
- 若只需要時間線檢視,可搭配事件日曆頁面使用。
Plan Requirement#
- Free(限制)
- Developer
- Pro
- Enterprise